# Update a resume

Updates one or more fields of a resume identified by its ID. All fields are optional; only provided fields will be updated. Locked resumes cannot be updated. Requires authentication.

```http
PUT https://hiresweep.com/api/openapi/resumes/{id}
x-api-key: YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes |  |

## Request body

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "description": "The name of the resume."
    },
    "slug": {
      "type": "string",
      "minLength": 1,
      "description": "The slug of the resume."
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "The tags of the resume."
    },
    "target": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 120
        },
        {
          "type": "null"
        }
      ],
      "description": "The job or company this resume is tailored for, shown on dashboard cards; null for a general resume."
    },
    "data": {
      "$ref": "#/components/schemas/ResumeData"
    },
    "isPublic": {
      "type": "boolean",
      "description": "Whether the resume is public."
    }
  }
}
```

## Responses

- `200`: The updated resume with its full data.
- `400`: 400
